Debian Bug report logs - #369164
evince: click and drag on large pdf -> crash

version graph

Package: poppler; Maintainer for poppler is Loic Minier <lool@dooz.org>;

Reported by: franckr00@online.de

Date: Sat, 27 May 2006 22:18:05 UTC

Severity: normal

Fixed in version poppler/0.5.4-4

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#369164; Package evince. Full text and rfc822 format available.

Acknowledgement sent to franckr00@online.de:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: franck <franckr00@online.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evince: click and drag on large pdf -> crash
Date: Sun, 28 May 2006 00:08:35 +0200
Package: evince
Version: 0.4.0-1+b1
Severity: normal

Steps to reproduce the crash:
1. download this pdf
http://www.linux-magazine.com/issue/67/Linux_Magazine_DVD_Inlay_hi_res.pdf

2. view it with evince

3. click anywhere within the pdf with left mouse button. While button is
down drag the mouse
-> it crashes each time.

Additional Information:
does not crash on other (smaller?) pdf

Regards,

>From BugBuddy-GnomeVersion: 2.0 (2.14.1)
Debugging Information:

Backtrace was generated from '/usr/bin/evince'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1497351488 (LWP 14936)]
[New Thread -1499337808 (LWP 14937)]
0xffffe410 in __kernel_vsyscall ()
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xa6fba3bb in waitpid () from /lib/tls/i686/cmov/libc.so.6
#2  0xa7ed19c5 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0xa72981bb in SplashOutputDev::updateFont () from
/usr/lib/libpoppler.so.0
#5  0xa7304786 in TextSelectionPainter::visitWord ()
   from /usr/lib/libpoppler.so.0
#6  0xa73049a2 in TextWord::visitSelection () from
/usr/lib/libpoppler.so.0
#7  0xa7304c03 in TextLine::visitSelection () from
/usr/lib/libpoppler.so.0
#8  0xa730a667 in TextBlock::visitSelection () from
/usr/lib/libpoppler.so.0
#9  0xa730a871 in TextPage::visitSelection () from
/usr/lib/libpoppler.so.0
#10 0xa730bfc2 in TextPage::drawSelection () from
/usr/lib/libpoppler.so.0
#11 0xa730c03a in TextOutputDev::drawSelection () from
/usr/lib/libpoppler.so.0
#12 0xa75c4d53 in poppler_page_render_selection ()
   from /usr/lib/libpoppler-glib.so.0
#13 0x0808f691 in pdf_selection_render_selection ()
#14 0x0808cf69 in ev_selection_render_selection ()
#15 0x08068a66 in ev_pixbuf_cache_get_selection_pixbuf ()
#16 0x0806fb0f in ev_view_rotate_right ()
#17 0xa71037c1 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#18 0xa71011ac in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#19 0xa710463b in g_main_context_check () from
/usr/lib/libglib-2.0.so.0
#20 0xa7104997 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#21 0xa78bb341 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x0807d4f8 in main ()

Thread 2 (Thread -1499337808 (LWP 14937)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0xa6f0c56e in __lll_mutex_lock_wait ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2  0xa6f090c0 in _L_mutex_lock_29 () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#3  0xa6a1e358 in ?? ()
No symbol table info available.
#4  0xa705cff4 in ?? () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#5  0x0832c6a8 in ?? ()
No symbol table info available.
#6  0x080f4a18 in ?? ()
No symbol table info available.
#7  0xa6a1e368 in ?? ()
No symbol table info available.
#8  0xa705cff4 in ?? () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#9  0xa7007c40 in pthread_mutex_init () from
/lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#10 0xa7007c66 in pthread_mutex_lock () from
/lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#11 0x0808bbc6 in ev_document_doc_mutex_lock ()
No symbol table info available.
#12 0x08062c6b in ev_job_render_run ()
No symbol table info available.
#13 0x08061593 in ev_document_types_add_filters ()
No symbol table info available.
#14 0x080616b0 in ev_document_types_add_filters ()
No symbol table info available.
#15 0xa711eb41 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#16 0xa6f07e60 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#17 0xa6ffa8ee in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 1 (Thread -1497351488 (LWP 14936)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0xa6fba3bb in waitpid () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2  0xa7ed19c5 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0xa72981bb in SplashOutputDev::updateFont () from
/usr/lib/libpoppler.so.0
No symbol table info available.
#5  0xa7304786 in TextSelectionPainter::visitWord ()
   from /usr/lib/libpoppler.so.0
No symbol table info available.
#6  0xa73049a2 in TextWord::visitSelection () from
/usr/lib/libpoppler.so.0
No symbol table info available.
#7  0xa7304c03 in TextLine::visitSelection () from
/usr/lib/libpoppler.so.0
No symbol table info available.
#8  0xa730a667 in TextBlock::visitSelection () from
/usr/lib/libpoppler.so.0
No symbol table info available.
#9  0xa730a871 in TextPage::visitSelection () from
/usr/lib/libpoppler.so.0
No symbol table info available.
#10 0xa730bfc2 in TextPage::drawSelection () from
/usr/lib/libpoppler.so.0
No symbol table info available.
#11 0xa730c03a in TextOutputDev::drawSelection () from
/usr/lib/libpoppler.so.0
No symbol table info available.
#12 0xa75c4d53 in poppler_page_render_selection ()
   from /usr/lib/libpoppler-glib.so.0
No symbol table info available.
#13 0x0808f691 in pdf_selection_render_selection ()
No symbol table info available.
#14 0x0808cf69 in ev_selection_render_selection ()
No symbol table info available.
#15 0x08068a66 in ev_pixbuf_cache_get_selection_pixbuf ()
No symbol table info available.
#16 0x0806fb0f in ev_view_rotate_right ()
No symbol table info available.
#17 0xa71037c1 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#18 0xa71011ac in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#19 0xa710463b in g_main_context_check () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#20 0xa7104997 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#21 0xa78bb341 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x0807d4f8 in main ()
No symbol table info available.
#0  0xffffe410 in __kernel_vsyscall ()


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages evince depends on:
ii  gconf2                     2.14.0-1      GNOME configuration database syste
ii  libart-2.0-2               2.3.17-1      Library of functions for 2D graphi
ii  libatk1.0-0                1.11.4-2      The ATK accessibility toolkit
ii  libaudiofile0              0.2.6-6       Open-source version of SGI's audio
ii  libavahi-client3           0.6.10-1      Avahi client library
ii  libavahi-common3           0.6.10-1      Avahi common library
ii  libavahi-glib1             0.6.10-1      Avahi glib integration library
ii  libbonobo2-0               2.14.0-1      Bonobo CORBA interfaces library
ii  libbonoboui2-0             2.14.0-2      The Bonobo UI library
ii  libc6                      2.3.6-9       GNU C Library: Shared libraries
ii  libcairo2                  1.0.4-2       The Cairo 2D vector graphics libra
ii  libdbus-1-2                0.61-5        simple interprocess messaging syst
ii  libdjvulibre15             3.5.16-2      Runtime support for the DjVu image
ii  libesd0                    0.2.36-3      Enlightened Sound Daemon - Shared 
ii  libfontconfig1             2.3.2-5.1     generic font configuration library
ii  libfreetype6               2.2.1-2       FreeType 2 font engine, shared lib
ii  libgconf2-4                2.14.0-1      GNOME configuration database syste
ii  libgcrypt11                1.2.2-1       LGPL Crypto library - runtime libr
ii  libglade2-0                1:2.5.1-2     library to load .glade files at ru
ii  libglib2.0-0               2.10.2-2      The GLib library of C routines
ii  libgnome-keyring0          0.4.9-1       GNOME keyring services library
ii  libgnome2-0                2.14.1-2      The GNOME 2 library - runtime file
ii  libgnomecanvas2-0          2.14.0-2      A powerful object-oriented display
ii  libgnomeprint2.2-0         2.12.1-3      The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0       2.12.1-3      GNOME 2.2 print architecture User 
ii  libgnomeui-0               2.14.1-1      The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0             2.14.1-2      GNOME virtual file-system (runtime
ii  libgnutls13                1.3.5-1.1     the GNU TLS library - runtime libr
ii  libgpg-error0              1.2-1         library for common error values an
ii  libgtk2.0-0                2.8.17-2      The GTK+ graphical user interface 
ii  libice6                    1:1.0.0-3     X11 Inter-Client Exchange library
ii  libjpeg62                  6b-13         The Independent JPEG Group's JPEG 
ii  libkpathsea4               3.0-16        path search library for teTeX (run
ii  libnautilus-extension1     2.14.1-4      libraries for nautilus components 
ii  liborbit2                  1:2.14.0-1    libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0              1.12.1-3      Layout and rendering of internatio
ii  libpng12-0                 1.2.8rel-5.1  PNG library - runtime
ii  libpoppler0c2              0.4.5-4       PDF rendering library
ii  libpoppler0c2-glib         0.4.5-4       PDF rendering library (GLib-based 
ii  libpopt0                   1.7-5         lib for parsing cmdline parameters
ii  libsm6                     1:1.0.0-4     X11 Session Management library
ii  libstdc++6                 4.1.0-4       The GNU Standard C++ Library v3
ii  libtasn1-2                 1:0.2.17-2    Manage ASN.1 structures (runtime)
ii  libtiff4                   3.8.2-2       Tag Image File Format (TIFF) libra
ii  libx11-6                   2:1.0.0-6     X11 client-side library
ii  libxcursor1                1.1.5.2-5     X cursor management library
ii  libxext6                   1:1.0.0-4     X11 miscellaneous extension librar
ii  libxfixes3                 1:3.0.1.2-4   X11 miscellaneous 'fixes' extensio
ii  libxi6                     1:1.0.0-5     X11 Input extension library
ii  libxinerama1               1:1.0.1-4     X11 Xinerama extension library
ii  libxml2                    2.6.24.dfsg-1 GNOME XML library
ii  libxrandr2                 2:1.1.0.2-4   X11 RandR extension library
ii  libxrender1                1:0.9.0.2-4   X Rendering Extension client libra
ii  zlib1g                     1:1.2.3-11    compression library - runtime

evince recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#369164; Package evince. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Bacher <seb128@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 369164@bugs.debian.org (full text, mbox):

From: Sebastien Bacher <seb128@debian.org>
To: franckr00@online.de, 369164@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#369164: evince: click and drag on large pdf -> crash
Date: Sun, 28 May 2006 00:41:05 +0200
reassign 369164 poppler
done

Le dimanche 28 mai 2006 à 00:08 +0200, franck a écrit :
> Package: evince
> Version: 0.4.0-1+b1
> Severity: normal
> 
> Steps to reproduce the crash:
> 1. download this pdf
> http://www.linux-magazine.com/issue/67/Linux_Magazine_DVD_Inlay_hi_res.pdf
> 
> 2. view it with evince
> 
> 3. click anywhere within the pdf with left mouse button. While button is
> down drag the mouse
> -> it crashes each time.
> 
> Additional Information:
> does not crash on other (smaller?) pdf

That's a poppler issue, reassigning




Bug reassigned from package `evince' to `poppler'. Request was from Sebastien Bacher <seb128@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to franckr00@online.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 369164-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 369164-close@bugs.debian.org
Subject: Bug#369164: fixed in poppler 0.5.4-4
Date: Thu, 17 May 2007 17:43:18 +0000
Source: poppler
Source-Version: 0.5.4-4

We believe that the bug you reported is fixed in the latest version of
poppler, which is due to be installed in the Debian FTP archive:

libpoppler-dev_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler-dev_0.5.4-4_i386.deb
libpoppler-glib-dev_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler-glib-dev_0.5.4-4_i386.deb
libpoppler-glib1_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler-glib1_0.5.4-4_i386.deb
libpoppler-qt-dev_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler-qt-dev_0.5.4-4_i386.deb
libpoppler-qt1_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler-qt1_0.5.4-4_i386.deb
libpoppler-qt4-1_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler-qt4-1_0.5.4-4_i386.deb
libpoppler-qt4-dev_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler-qt4-dev_0.5.4-4_i386.deb
libpoppler1_0.5.4-4_i386.deb
  to pool/main/p/poppler/libpoppler1_0.5.4-4_i386.deb
poppler-utils_0.5.4-4_i386.deb
  to pool/main/p/poppler/poppler-utils_0.5.4-4_i386.deb
poppler_0.5.4-4.diff.gz
  to pool/main/p/poppler/poppler_0.5.4-4.diff.gz
poppler_0.5.4-4.dsc
  to pool/main/p/poppler/poppler_0.5.4-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369164@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated poppler package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 16 May 2007 10:45:39 +0200
Source: poppler
Binary: libpoppler-glib-dev poppler-utils libpoppler-qt4-dev libpoppler-qt1 libpoppler1 libpoppler-glib1 libpoppler-qt4-1 libpoppler-dev libpoppler-qt-dev
Architecture: source i386
Version: 0.5.4-4
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libpoppler-dev - PDF rendering library -- development files
 libpoppler-glib-dev - PDF rendering library -- development files (GLib interface)
 libpoppler-glib1 - PDF rendering library (GLib-based shared library)
 libpoppler-qt-dev - PDF rendering library -- development files (Qt 3 interface)
 libpoppler-qt1 - PDF rendering library (Qt 3 based shared library)
 libpoppler-qt4-1 - PDF rendering library (Qt 4 based shared library)
 libpoppler-qt4-dev - PDF rendering library -- development files (Qt 4 interface)
 libpoppler1 - PDF rendering library
 poppler-utils - PDF utilitites (based on libpoppler)
Closes: 235360 331380 332426 336616 343654 352522 369164 372169 389753 393169 399275 402647 407810 407818 413112 413953 414643 418638
Changes: 
 poppler (0.5.4-4) unstable; urgency=low
 .
   * The "Augean Stables" release.
   * 0.5.x branch fixes all kind of displaying errors
     Closes: #372169, #235360, #331380, #332426, #336616
     Closes: #402647, #369164, #413953, #343654
   * Add versioned conflict to pdftohtml (Closes: #393169)
   * We dropped .la files some time ago, libjpeg62-dev dependency not
     needed now (Closes: #413112)
   * Crash fixed in 0.5.4 (Closes: #418638)
   * [control.in]: dropped some time ago (Closes: #407818)
   * NMU 0.5.4-5.1 merged as 004_CVE-2007-0104.patch (Closes: #407810)
   * 0.5.x uploaded to unstable (Closes: #352522)
   * qt4 libraries are now part of build (Closes: #414643)
   * No longer depends on poppler-data (Closes: #389753)
   * [debian/patches/006_pthreads_ldflags.patch]:
     + Add -lpthread to poppler/Makefile.am (Closes: #399275)
Files: 
 4e62c7b4a9e1d9d9d40d050bfc440444 1037 devel optional poppler_0.5.4-4.dsc
 e6f5f56dcf773df57f8213ed395fb4da 9577 devel optional poppler_0.5.4-4.diff.gz
 60167104dc2173ee7bf4a865d7c0c2c2 578260 libs optional libpoppler1_0.5.4-4_i386.deb
 ee1af20b5ef34f96de9e85a59b687ccc 763376 libdevel optional libpoppler-dev_0.5.4-4_i386.deb
 475f79061e6ea569c983afd7a24a355c 71318 libs optional libpoppler-glib1_0.5.4-4_i386.deb
 4ff8a7b9b96c820f5f834bb5c04f333c 99312 libdevel optional libpoppler-glib-dev_0.5.4-4_i386.deb
 648dbb103102b211b1e8f27504b72376 59792 libs optional libpoppler-qt1_0.5.4-4_i386.deb
 a7413bdf7ffd92b82ea38121b6772a60 63082 libdevel optional libpoppler-qt-dev_0.5.4-4_i386.deb
 23b91069a5e7a10b40adaee8978962a9 151496 libs optional libpoppler-qt4-1_0.5.4-4_i386.deb
 2049d069763265e62ebb1a753ddd558b 173034 libdevel optional libpoppler-qt4-dev_0.5.4-4_i386.deb
 d0b1ef307e0878cc58614807ec3d2685 102824 utils optional poppler-utils_0.5.4-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGSt/p9OZqfMIN8nMRAhkbAJ95/0CPIPdHe6H7+9mw+b1ieckObQCfY/Lf
8wOj61VueFGbQK8TyOeqJ5c=
=ga4d
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 05:56:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:39:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.